What Apple Computer Models are Compatible with OS X 10.11 El Capitan?

When Apple releases  a new software upgrade like they have with OS X 10.11 El Capitan one of the first questions that comes to mind is: Is my Mac Compatible? 

Apple hasn’t specifically released compatibility charts with the El Capitan release because at this point it’s just beta software so changes could be made but for now it looks like the ansers is that  if your Mac can run Yosemite , then there’s a really good chance you can run the newer beta operating system too, and currently that means that  the following computers will work with OSX 10.11 according to this page<section class=”section”>

The OS X v10.11 Developer Beta supports the following Macs:

  • iMac (Mid 2007 or newer)

  • MacBook Air (Late 2008 or newer)

  • MacBook (Late 2008 Aluminum, or Early 2009 or newer)

  • Mac mini (Early 2009 or newer)

  • MacBook Pro (Mid/Late 2007 or newer)

  • Mac Pro (Early 2008 or newer)

  • Xserve (Early 2009)

This is good news indeed for those of us that have older Macs and want to keep them running for as long as possible.</section>

Granted, not ALL features will work on the older Macs: For example features like continuity and handoff might not be compatible with your hardware. But, if you’re like me and have an older Mac and  don’t really need all the features  of the Mac OS but you still want to try the new beta Mac OS X when it’s released in July then this is pretty great news. I thought for sure my 2008 Aluminum MacBook would be put out to pasture as it would not  be compatible with this latest release but it looks like I can still use my older Mac  with the Latest Mac OS which is pretty amazing for a 7 year old computer to be able to do.

I’m looking forward to giving the new beta a try when it’s released later in July 2015.

 

 <section class=”section”></section>